%global pkg_name terminfo

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

# add any foreign library dependencies here:
%global ghc_pkg_c_deps ncurses-devel

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3.1.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.7.0
%if %{with hscolour}
BuildRequires:  hscolour
%endif
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
rm -rf $RPM_BUILD_ROOT
%ghc_lib_install

# workaround libdir/libncursesw.so linker script breaking linking library
sed -i -e "s/extra-libraries: ncursesw/extra-libraries: tinfo/" -e "s!ld-options:!ld-options: /%{_lib}/libncursesw.so.5!" $RPM_BUILD_ROOT%{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}/register.sh


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Aug 19 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.3-1
- update to 0.3.1.3

* Sun Aug  1 2010 Jens Petersen <petersen@redhat.com> - 0.3.1.2-1
- depends on ncurses
- BSD license
- add ncurses linker script workaround hack to .conf

* Sun Aug  1 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.3.1.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
